Page MenuHomePhabricator

Special:Notifications should work in night mode
Closed, ResolvedPublic2 Estimated Story PointsBUG REPORT

Description

Steps to replicate the issue (include links if applicable):

What happens?:
Notifications page appears in light theme with color contrast issues.

  • (including on hover)

What should have happened instead?:
Notifications should appear in a night theme.

Software version (skip for WMF-hosted wikis like Wikipedia):

Other information (browser name/version, screenshots, etc.):

Acceptance criteria

  • Add notheme and skin-invert class to the page as a temporary workaround

QA Results - Beta

ACStatusDetails
1T358405#9932910

QA Results - Prod

ACStatusDetails
1T358405#9971722

Note

We will fix the color contrast issues in T368691

Related Objects

StatusSubtypeAssignedTask
Openovasileva
Openovasileva
Resolvedovasileva
Resolvedovasileva
Resolvedovasileva
OpenNone
ResolvedBUG REPORTovasileva
ResolvedJdlrobson
DeclinedFeatureegardner
DuplicateNone
Resolvedovasileva
DuplicateBUG REPORTNone
DeclinedFeatureegardner
DuplicateCCiufo-WMF
Resolvedovasileva
ResolvedNBaca-WMF
DeclinedVolker_E

Event Timeline

Jdlrobson lowered the priority of this task from High to Medium.Feb 29 2024, 6:51 PM
Jdlrobson lowered the priority of this task from Medium to Low.Mar 11 2024, 9:14 PM

This page has been configured to always show in day mode as part of T359183, so this is now less of a priority.

ovasileva raised the priority of this task from Low to Medium.Mar 12 2024, 9:30 AM
ovasileva subscribed.

Moving to next sprint to review priority again as we'll want to get these pages working in the future

Jdlrobson changed the task status from Open to Stalled.Mar 21 2024, 6:17 PM
Jdlrobson added a subscriber: Jdrewniak.

This and other related tickets are stalled on a decision for how to solve the problem for OOUI. @Jdrewniak is working on a spike to make that decision in this sprint.

Jdlrobson changed the task status from Stalled to Open.May 4 2024, 6:15 PM
Jdlrobson updated the task description. (Show Details)

As a short term solution we could add notheme class to the element until OOUI has support for CSS variables.

I'm looking at the Special:Notifications page with the in-progress OOUI update, and there are still a fair bit of color values that need to be changed in the Echo extension for this page to work in dark-mode. Luckily with the magic of codesearch, hardcoded hex values (#([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})) are easy to identify:

ovasileva raised the priority of this task from Medium to High.Thu, Jun 20, 5:01 PM

Change #1049621 had a related patch set uploaded (by Bernard Wang; author: Bernard Wang):

[mediawiki/extensions/Echo@master] Fix dark mode issues on Special:Notifications

https://gerrit.wikimedia.org/r/1049621

bwang removed bwang as the assignee of this task.Tue, Jun 25, 7:19 PM
bwang subscribed.

Change #1049621 merged by jenkins-bot:

[mediawiki/extensions/Echo@master] Fix dark mode issues on Special:Notifications

https://gerrit.wikimedia.org/r/1049621

Change #1049975 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[operations/mediawiki-config@master] Enable special pages in dark mode (1.43.0-wmf.12)

https://gerrit.wikimedia.org/r/1049975

@Jdlrobson Please review the other potential issues below. If they are being covered in another task, this can be moved to sign-off since the rest seems fine, thanks!

Test Result - Beta

Status: ❓NMI
Environment: Beta
OS: macOS Sonoma 14.5
Browser: Chrome 126
Device: MBA
Emulated Device: NA

Test Artifact(s):

Test Steps

No other issues except for disable and the potential ones below

2024-06-27_15-16-03.mp4.gif (918×1 px, 2 MB)

❓Please review the following below
"Unread" color black contrast issue

2024-06-27_15-07-34.png (875×2 px, 329 KB)

Example comment in the notifications, color contrast
2024-06-27_15-14-19.png (830×2 px, 326 KB)

Date and sub descriptions have color contrast
2024-06-27_15-14-53.png (740×2 px, 323 KB)

Jdlrobson renamed this task from Special:Notifications has color contrast issues in night mode to Special:Notifications should work in night mode.Thu, Jun 27, 11:43 PM
Jdlrobson reassigned this task from GMikesell-WMF to ovasileva.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: GMikesell-WMF.

Sorry I forgot to update the task description @GMikesell-WMF (done now) this is fine. We'll address the color contrast issues later in T368691.

Looks good! Resolving.

Change #1049975 abandoned by Jdlrobson:

[operations/mediawiki-config@master] Enable action edit/submit and remaining special pages in dark mode (1.43.0-wmf.12)

Reason:

Moved into https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/+/1050671?usp=search

https://gerrit.wikimedia.org/r/1049975

Edtadros subscribed.

Test Result - Prod

Status: ✅ PASS
Environment: enwiki
OS: macOS Sonoma 14.5
Browser: Chrome 126
Device: MBS
Emulated Device: NA

Test Artifact(s):

Test Steps

Steps to replicate the issue (include links if applicable):

Visit https://en.wikipedia.beta.wmflabs.org/wiki/Special:Notifications?vectornightmode=1 making sure you have notifications
✅ AC1: Notifications should appear in a night theme.

screenshot 132.png (1×1 px, 418 KB)

screenshot 131.png (1×1 px, 365 KB)